Subject: Re: [BUG] 'add -u' doesn't work from untracked subdir

From: Clemens Buchacher <[email-masked]>
Date: Fri, 4 Sep 2009 09:02:16 +0200

On Wed, Sep 02, 2009 at 04:19:17AM -0400, Jeff King wrote:

> [1] I would prefer "git add -u ." to add only the current directory, and
> "git add -u" to touch everything.

FWIW, I feel the same way. And there is no easy way to do that now. (cd `git
rev-parse --show-cdup`; git add -u) ?

> But then, I am one of the people who
> turn off status.relativepaths, so I think I may be in the minority in
> always wanting to think of the project as a whole.

That mindset is one of git's greatest strengths IMO.

Clemens